<template>
  <Card :borderOpacity=".3">
    <div class="shaGenerator">
      <div class="shaGenerator-title">
        {{$t('history.details.shaGenerator')}}
      </div>
      <div class="shaGenerator-body">
        <BInput
          v-model="sha"
          placeholder="Insert the data">
          <template slot="append">
            <button @click="getHash">
              <img
                src="~/static/icons/play.svg"
                alt="">
            </button>
          </template>
        </BInput>
        <BTextArea
          style="margin-bottom: 0px"
          v-model="hash"
          @copy="copy"
          label="Get the HASH SHA-256"></BTextArea>
      </div>
    </div>
  </Card>
</template>

<script>
import BInput from '~/components/UI/Input';
import BTextArea from '~/components/UI/Textarea';
import Card from '~/components/base/card/index';
import copyClipboard from '~/components/utils/copy';
import {
  sha256,
} from 'eosjs-ecc';
export default {
  name: "ShaGenerator",
  data() {
    return {
      sha: '',
      hash: ''
    }
  },
  components: {
    BInput,
    BTextArea,
    Card
  },
  methods: {
    getHash() {
      this.hash = sha256(this.sha)
      this.ga('play', true);
    },
    copy(text) {
      this.ga('copy', true);
      copyClipboard(text, this.$t('common.copied'))
    }
  }
}
</script>
<style scoped lang="scss">
@import '~/assets/styles/variables.scss';
@import '~/assets/styles/colorVariables.scss';
.shaGenerator {
  position: relative;
  .info-mockup {
    background-color: rgb(58, 75, 107);
  }
  &-title {
    padding: 16px 19px;
    background-color: #303D55;
    color: $grey;
    font-size: 18px;
  }
  &-body {
    padding: $paddingMedium;
    background-color: #283349;
  }
  /deep/ {
    .input {
      input {
        background-color: #222B3E;
      }
      label {
        color: rgba(117, 125, 141, .3);
      }
    }
  }
}
</style>
